- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionMenuItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 435 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionMenuItem:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_MenuItem }
enum | StyleOptionVersion { Version = 1 }
enum | MenuItemType { Normal, DefaultItem, Separator, SubMenu, Scroller, TearOff, Margin, EmptyArea }
enum | CheckType { NotCheckable, Exclusive, NonExclusive }
## Public Member Functions
| QStyleOptionMenuItem ()
| QStyleOptionMenuItem (const QStyleOptionMenuItem &other)
## Public Attributes
MenuItemType | menuItemType
CheckType | checkType
bool | checked
bool | menuHasCheckableItems
QRect | menuRect
QString | text
QIcon | icon
int | maxIconWidth
int | tabWidth
QFont | font
## Protected Member Functions
| QStyleOptionMenuItem (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 438 of file qstyleoption.h.

    { Type = SO_MenuItem };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 439 of file qstyleoption.h.

    { Version = 1 };

enum MenuItemType

Search for all occurrences

Enumerator:

  Normal | Search for all occurrences
  DefaultItem | Search for all occurrences
  Separator | Search for all occurrences
  SubMenu | Search for all occurrences
  Scroller | Search for all occurrences
  TearOff | Search for all occurrences
  Margin | Search for all occurrences
  EmptyArea | Search for all occurrences

Definition at line 441 of file qstyleoption.h.

                          { Normal, DefaultItem, Separator, SubMenu, Scroller, TearOff, Margin,
                            EmptyArea };

enum CheckType

Search for all occurrences

Enumerator:

  NotCheckable | Search for all occurrences
  Exclusive | Search for all occurrences
  NonExclusive | Search for all occurrences

Definition at line 443 of file qstyleoption.h.

    { NotCheckable, Exclusive, NonExclusive };

## Constructor & Destructor Documentation

QStyleOptionMenuItem | ( |  | ) |

QStyleOptionMenuItem | ( | const QStyleOptionMenuItem & | other | ) | `[inline]`

Definition at line 457 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionMenuItem | ( | int | version | ) | `[protected]`

## Member Data Documentation

MenuItemType menuItemType

Search for all occurrences

Definition at line 445 of file qstyleoption.h.

CheckType checkType

Search for all occurrences

Definition at line 446 of file qstyleoption.h.

bool checked

Search for all occurrences

Definition at line 447 of file qstyleoption.h.

bool menuHasCheckableItems

Search for all occurrences

Definition at line 448 of file qstyleoption.h.

QRect menuRect

Search for all occurrences

Definition at line 449 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 450 of file qstyleoption.h.

QIcon icon

Search for all occurrences

Definition at line 451 of file qstyleoption.h.

int maxIconWidth

Search for all occurrences

Definition at line 452 of file qstyleoption.h.

int tabWidth

Search for all occurrences

Definition at line 453 of file qstyleoption.h.

QFont font

Search for all occurrences

Definition at line 454 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem
QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem QStyleOptionMenuItem